#include "u8g.h"
#include "definitions.h"                // SYS function prototypes

uint8_t u8g_com_samd21g18a_fn(u8g_t *u8g, uint8_t msg, uint8_t arg_val, void *arg_ptr)
{
	uint8_t *ptr = arg_ptr;

	switch (msg)
	{
		case U8G_COM_MSG_INIT:
		break;

		case U8G_COM_MSG_STOP:
		break;

		case U8G_COM_MSG_CHIP_SELECT:
		switch (arg_val)
		{
			case 0:
			SSD1306_CS_PIN_Set();
			break;

			case 1:
			SSD1306_CS_PIN_Clear();
			break;
		}
		break;

		case U8G_COM_MSG_WRITE_BYTE:
		SSD1306_CS_PIN_Clear();
		SERCOM4_SPI_Write( (void*)&arg_val, 1 );
		SSD1306_CS_PIN_Set();
		break;

		case U8G_COM_MSG_WRITE_SEQ:
		{
			SSD1306_CS_PIN_Clear();
			while (arg_val > 0)
			{
				SERCOM4_SPI_Write( (void*)&(*ptr++), 1 );
				arg_val--;
			}
			SSD1306_CS_PIN_Set();
		}
		break;

		case U8G_COM_MSG_ADDRESS: /* define cmd (arg_val = 0) or data mode (arg_val = 1) */
		switch (arg_val)
		{
			case 0:
			SSD1306_RS_PIN_Clear();
			break;

			case 1:
			SSD1306_RS_PIN_Set();
			break;
		}
		break;

		case U8G_COM_MSG_RESET:
		/* No Support */
		break;

		case U8G_COM_MSG_WRITE_SEQ_P:
		SSD1306_CS_PIN_Clear();
		while (arg_val > 0)
		{
			SERCOM4_SPI_Write( (void*)&u8g_pgm_read(ptr), 1 );
			ptr++;
			arg_val--;
		}
		SSD1306_CS_PIN_Set();
		break;

		default:
		/* Something Error */
		//while (1);
		break;
	}

	return 1;
}
