/*******************************************************************************
  Main Source File

  Company:
	Microchip Technology Inc.

  File Name:
	main.c

  Summary:
	This file contains the "main" function for a project.

  Description:
	This file contains the "main" function for a project.  The
	"main" function calls the "SYS_Initialize" function to initialize the state
	machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes


// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************
uint32_t i = 0;
uint32_t State = 0;

int main( void )
{
	/* Initialize all modules */
	SYS_Initialize(NULL);


	while( true )
	{
		/* Maintain state machines of all polled MPLAB Harmony modules. */
		SYS_Tasks();

		if( i++ > 200000 )
		{
			i = 0;

			if( State == 0 )
			{
				LED1_Toggle();
				LED2_Toggle();
			}
			else
			{
				LED2_Toggle();
				LED3_Toggle();
			}
		}

		if( BT2_Get() )
		{
			if( State == 0 ) LED3_Clear();
			else LED1_Set();
		}
		else
		{
			if( State == 0 ) LED3_Set();
			else LED1_Clear();
		}

		if( !BT3_Get() )
		{
			while( !BT3_Get() );

			State = !State;

			LED1_Set();
			LED2_Clear();
			LED3_Clear();
		}

	}

	/* Execution should not come here during normal operation */

	return ( EXIT_FAILURE);
}


/*******************************************************************************
 End of File
 */

