/*******************************************************************************
  Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This file contains the "main" function for a project.

  Description:
    This file contains the "main" function for a project.  The
    "main" function calls the "SYS_Initialize" function to initialize the state
    machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes


// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************
uint32_t i = 0;

int main ( void )
{
	/* Initialize all modules */
	SYS_Initialize ( NULL );

	TC3_CompareStart();
	// TODO 4.01
	TC4_CompareStart();
	
	while ( true )
	{
		/* Maintain state machines of all polled MPLAB Harmony modules. */
		SYS_Tasks ( );

		if ( TC3_CompareStatusGet() &
			TC_COMPARE_STATUS_OVERFLOW )
		{
			LED1_Toggle();
		}

		// TODO 4.02
		if ( TC4_CompareStatusGet() &
			TC_COMPARE_STATUS_OVERFLOW )
		{
			LED2_Toggle();
		}
		
		if ( BT2_Get() ) LED3_Clear();
		else			 LED3_Set();
	}

	/* Execution should not come here during normal operation */

	return ( EXIT_FAILURE );
}


/*******************************************************************************
 End of File
*/

