/*******************************************************************************
  Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This file contains the "main" function for a project.

  Description:
    This file contains the "main" function for a project.  The
    "main" function calls the "SYS_Initialize" function to initialize the state
    machines of all modules in the system
 *******************************************************************************/

// *****************************************************************************
// *****************************************************************************
// Section: Included Files
// *****************************************************************************
// *****************************************************************************

#include <stddef.h>                     // Defines NULL
#include <stdbool.h>                    // Defines true
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "definitions.h"                // SYS function prototypes

// *****************************************************************************
// *****************************************************************************
// Section: Main Entry Point
// *****************************************************************************
// *****************************************************************************
uint32_t i = 0;

void TC3_Overflow(TC_COMPARE_STATUS status, uintptr_t context)
{
	if( status & TC_INTFLAG_OVF_Msk ) 
		LED1_Toggle();
}

void TC4_Overflow(TC_COMPARE_STATUS status, uintptr_t context)
{
	if( status & TC_INTFLAG_OVF_Msk ) 
		LED2_Toggle();
}

void TC5_Overflow(TC_COMPARE_STATUS status, uintptr_t context)
{
	if( status & TC_INTFLAG_OVF_Msk ) 
		LED3_Toggle();
}

int main ( void )
{
	/* Initialize all modules */
	SYS_Initialize ( NULL );

	TC3_CompareCallbackRegister( TC3_Overflow, 0 );
	TC3_CompareStart();
	TC4_CompareCallbackRegister( TC4_Overflow, 0 );
	TC4_CompareStart();
	TC5_CompareCallbackRegister( TC5_Overflow, 0 );
	TC5_CompareStart();

	while ( true )
	{
		/* Maintain state machines of all polled MPLAB Harmony modules. */
		SYS_Tasks ( );

//		if( TC3_CompareStatusGet() & TC_COMPARE_STATUS_OVERFLOW )
//		{
//			LED1_Toggle();
//		}
		
//		if( TC4_CompareStatusGet() & TC_COMPARE_STATUS_OVERFLOW )
//		{
//			LED2_Toggle();
//		}
//		
//		if ( BT2_Get() ) LED3_Clear();
//		else			 LED3_Set();
	}

	/* Execution should not come here during normal operation */

	return ( EXIT_FAILURE );
}


/*******************************************************************************
 End of File
*/

